<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Добавить файл'; // заголовок страницы
include_once '../sys/inc/thead.php';
only_reg();
title();
include_once 'config.php';
function zam($am){return strtr($am, " .&", "___");}
$id_dir = intval($_GET['id']);
$dir_id=mysql_fetch_array(mysql_query("SELECT * FROM `user_dir` WHERE `id` = '$id_dir' LIMIT 1"));
if ($dir_id['id_user']==$user['id']){

if (isset($_GET['ok'])){
if (!isset($_FILES['file']))$err='Ошибка при выгрузке файла';
else
{
$file=esc(stripcslashes(htmlspecialchars($_FILES['file']['name'])));
$file=ereg_replace('(#|\?)', NULL, $file);
$name=eregi_replace('\.[^\.]*$', NULL, $file); // имя файла без расширения
$imya=zam($name);
$ras=strtolower(eregi_replace('^.*\.', NULL, $file));
$size=filesize($_FILES['file']['tmp_name']);
$rasss=explode(';', $ras);
$ras_ok=false;
for($i=0;$i<count($rasss);$i++){
if ($rasss[$i]!=NULL && $ras==$rasss[$i])$ras_ok=true;
}
if (!$ras_ok)$err='Неверное расширение файла';}
$opis=NULL;
if (isset($_POST['opis']))
$opis=stripslashes(htmlspecialchars(esc($_POST['opis'])));
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user_files` WHERE `dir` = '$id_dir' AND `name` = '$imya'"),0)!=0)
$err='Файл с таким названием уже есть в этой папке';
if (!isset($err)){
mysql_query("INSERT INTO `user_files` (`dir`, `name`, `ras`, `size`, `time`, `id_user`, `opis` )
VALUES ('$id_dir', '$imya', '$ras', '$size', '$time', '$user[id]', '$opis' )");
$id_file=mysql_insert_id();
$q = mysql_query("SELECT * FROM `frends` WHERE `user` = '$user[id]' AND `i` = '1'");  while ($f = mysql_fetch_array($q)) {  $a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[frend]' LIMIT 1"));  $dir=mysql_fetch_array(mysql_query("SELECT * FROM `user_files` WHERE `id` = '$dir_id[id]' LIMIT 1"));  $msg_lenta="Загрузил файл [b] $name [/b] в личные файлы.";  mysql_query("INSERT INTO `lenta` (`id_user`, `id_kont`, `msg`, `time`) values('$user[id]', '$a[id]', '$msg_lenta', '$time')");  }
if (!@copy($_FILES['file']['tmp_name'], H."files/user_files/$id_file.dat"))
{
mysql_query("DELETE FROM `user_files` WHERE `id` = '$id_file' LIMIT 1");
$err[]='Ошибка при выгрузке';
}
header("location: dir.php?id=".$user['id']."&dir=".$id_dir."");
}}
err();
aut();
echo'Папка: <b>'.$dir_id['name'].'</b><br/>';
echo "<form method=\"post\" enctype=\"multipart/form-data\" action='?id=".$_GET['id']."&amp;dir=".$_GET['dir']."&amp;ok' >";
echo "Файл:<br />\n";
echo "<input name='file' type='file'/><br />\n";
echo "Описание:<br />\n";
echo "<textarea name='opis'></textarea><br />\n";
echo "<input class=\"submit\" type=\"submit\" value=\"Загрузить\" /><br />\n";
echo "<small>*Разрешается выгружать файлы форматов: $ras</small><br />\n";
echo "</form>";
echo'<span style="font-size:small;color:blue">(Загрузка может длиться несколько минут!)</span><br/><div class="hr"></div><div class="news"><span style="color: #218094">Если у вас не видно выше кнопки выбора файла, значит ваш браузер не поддерживает загрузку файлов!</span></div>';
}else{header("location: /index.php");}

include_once '../sys/inc/tfoot.php';
?>